import { post } from '@/api/http'
export default {
    // 更新册别
    SaveOrUpdateVolume: function(data) {
        return post('/syllabus/upsert', data)
    },
    // 查找册别
    GetVolumes: function(data) {
        return post('/syllabus/find', data)
    },
    // 删除册别
    DeleteVolume: function(data) {
        return post('/syllabus/delete', data)
    },
    
    // 查找册别数量
    FindSyllabusCount : function(data) {
        // return post('/syllabus/upsert-tree', data)
    },
	// 更新课纲树形结构
    SaveOrUpdateAsTree: function(data) {
        return post('/syllabus/upsert-tree', data)
    },
    // 更新节点
    SaveOrUpdateAsNodes: function(data) {
        return post('/syllabus/upsert-nodes', data)
    },    
    
    // 查找知识块数量
    FindBlockCount: function (data) {
        return post('/knowledges/find-count', data)
    },
}
